--- a/Makefile
+++ b/Makefile
@@ -8,11 +8,11 @@
 CC?=gcc
 DEBUG+=-g -Wall # -D_DEBUG # -pg #  -D_DEBUG  #-pg -W -pedantic # -pg #-fprofile-arcs
 ifeq ($(UTF8_SUPPORT),yes)
-LDFLAGS+=-lpanelw -lncursesw -lutil -lm
-CFLAGS+=-funsigned-char -D`uname` -DVERSION=\"$(VERSION)\" -DCONFIG_FILE=\"$(CONFIG_FILE)\" -DUTF8_SUPPORT -D_FORTIFY_SOURCE=2 -O3
+LIBS+=$(shell $(PKG_CONFIG) --libs ncursesw panelw) -lutil -lm
+CFLAGS+=-funsigned-char -D`uname` -DVERSION=\"$(VERSION)\" -DCONFIG_FILE=\"$(CONFIG_FILE)\" -DUTF8_SUPPORT
 else
-LDFLAGS+=-lpanel -lncurses -lutil -lm
-CFLAGS+=-funsigned-char -D`uname` -DVERSION=\"$(VERSION)\" -DCONFIG_FILE=\"$(CONFIG_FILE)\" -D_FORTIFY_SOURCE=2 -O3
+LIBS+=$(shell $(PKG_CONFIG) --libs ncurses panel) -lutil -lm
+CFLAGS+=-funsigned-char -D`uname` -DVERSION=\"$(VERSION)\" -DCONFIG_FILE=\"$(CONFIG_FILE)\"
 endif
 
 OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o help.o mem.o cv.o selbox.o stripstring.o color.o misc.o ui.o exec.o diff.o config.o cmdline.o globals.o history.o xclip.o
@@ -20,10 +20,10 @@
 all: multitail
 
 multitail: $(OBJS)
-	$(CC) $(OBJS) $(LDFLAGS) -o multitail
+	$(CC) $(CFLAGS) $(OBJS) $(LDFLAGS) -o multitail $(LIBS)
 
 multitail_ccmalloc: $(OBJS)
-	ccmalloc --no-wrapper $(CC) -Wall -W $(OBJS) $(LDFLAGS) -o ccmultitail
+	ccmalloc --no-wrapper $(CC) $(CFLAGS) $(LDFLAGS) -Wall -W $(OBJS) $(LDFLAGS) -o ccmultitail $(LIBS)
 
 install: multitail
 	mkdir -p $(DESTDIR)$(PREFIX)/bin
